Subject: IMPORTANT: Update on Clubs and Societies Affiliation and Reaffiliation
From: Harrison O'Kane <[email-masked]>
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "JCU Physical Science Society" <ps
Cc: Jeff Jimmieson <[email-masked]>, Amanda Carter <[email-masked]>, Lu Zhang <[email-masked]>, "Tsz Fei Zicilia Lo" <[email-masked]>, Yanlong Yang <[email-masked]>, Vincent Gardiner <[email-masked]>, Theresa Priddle <[email-masked]>, Muhammad Islam <[email-masked]>
Date: Tue, 10 Feb 2026 01:16:30 +0000

Dear Clubs and Societies,

I want to begin by apologising for the lack of communication and the confusion around affiliation and reaffiliation over the past weeks. I recognise this has not been helpful for you, especially as many of you are planning activities for the start of teaching period.

Despite the frustration, I am resolute that we get this right. The work we do now should make life easier not only for this year’s clubs and committees, but for future years as well. The goal is a process that is clear, efficient and properly aligned with JCUSA’s regulations and policies, so you receive better support from the Clubs and Societies Committee (CaSC) and JCUSA.

In case you have not aware, the CaSC is the committee responsible for overseeing club governance and support. It reviews affiliation and reaffiliation documentation, considers grant applications, and monitors compliance with relevant JCUSA policies. In recent years the committee has not been used as effectively as it should have been. One of my priorities this year is to ensure the CaSC plays a more active and transparent role in these processes.

I have been working closely with UniLife and its General Manager, Jeff, to review how affiliation has been handled. We have identified that the status quo is not compliant with the JCUSA Constitution and Regulations. We are now putting in place a more robust approach where:

  *   UniLife will play a more forensic role in checking applications against the regulations and policies.
  *
A small panel will review affiliation documentation and make recommendations.
  *   The CaSC and, finally, the JCUSA Student Council will consider these recommendations and approve or reject affiliation in line with the proper governance pathway.

While we are still finalising the detailed roles of the CaSC and Council in this model, it is important that we restart the process so clubs are not left waiting indefinitely.

From today, the affiliation and reaffiliation process can recommence.

For now, please submit your affiliation or reaffiliation documentation to me by email ([email-masked]<mailto:[email-masked]>). I will hold these applications while we complete the review of the process with UniLife, and they will then be assessed under the updated model.

To minimise delays, I strongly recommend that you:

  *   Re‑read the affiliation guidance and handbook.
  *   Check that your documents are complete, up to date and consistent.
  *   Ensure your AGM minutes, President’s report, Treasurer’s report, membership list, constitution and induction forms are all ready to go.

I have attached an outline of the affiliation requirements and the Clubs and Societies Handbook for your reference. Once the CaSC has confirmed the final model, I will send a follow‑up email that sets out the definitive list of requirements.

In terms of an approximate timeline:

  *   Affiliation and reaffiliation will be our primary priority over the next fortnight. Our aim is to process applications in a timely manner while meeting our obligations under the Constitution, Regulations and policies.
  *   We intend to open the first SSAF grant round in early March. This timing is a compromise between releasing funds early enough to support your activities, and allowing enough time for affiliation to be handled correctly and for clubs to prepare their applications. We may add a smaller second round later in the year if needed.

I will provide a further update to all clubs once we have:

  *   Finalised the affiliation review panel and process.
  *   Confirmed the exact opening and closing dates for grant applications.
  *   Settled the final documentation requirements for affiliation and grants.

I again apologise for the inconvenience this has caused. I also want to be clear that this change is necessary. It is the right step if we want to maintain proper governance while still supporting clubs to operate, grow and contribute to student life on campus. By taking the time now to correct the process, we put ourselves in a better position to collaborate, expand and progress together for all members and students at JCU. My priority has always been and continues to be maximum transparency & communication for all students at JCU so that we can all create a more inclusive & engaging campus.

In other news, I would like to share that the previous Townsville Campus Officer, Rhys, has tendered his resignation from the Student Council due to study & work commitments. In the meantime, I will attempt to cover his role to assist and communicate with our Townsville clubs & societies. If anyone here knows of any students wishing to apply for this role, you are more than welcome to reach out directly. This is a paid role so that any successful nominees would be reimbursed with an honorarium.

In the meantime, if you have questions or are unsure what you need to submit, please contact me and I will do my best to assist. Otherwise I hope everyone has a great week.

Kind regards,

Harrison O'Kane (He/Him) | JCU SA President | Acting Chair Clubs & Societies Committee

Building 133, Student Services Mall | Bebegu Yumba Campus, Townsville

Opening Hours | Mon – Fri 8.30am – 3.30pm

M: 0494 020 022  | E: [email-masked] | W: www.jcusa.edu.au<http://www.jcusa.edu.au/>

JCUSA acknowledges the Traditional Owners the Bindal and Wulgurukaba people of the land on which we work.

We pay our respects to the Elders past, present and emerging.

[JCUSA Email Signature - Office_Arial_SSAF]